Subject: Offline Message from Chris Jones: Hi - I bought a Swagtron SG-8 Swagger 8 Lig
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Sat, 14 May 2022 06:16:22 -0000

From: Chris Jones <[email-masked]>
Phone: 2063192921
Location: Kirkland, United States
URL: https://swagtron.com/swagtron-return-rma-form/
Department: SwagTron

Hi - I bought a Swagtron SG-8 Swagger 8 Lightweight Folding Electric Scooter for Kids & Teens back in November from Amazon. I'm not sure what to do as there are multiple issues with cracks on both the accelerators and they slide around the handlebars. This shouldn't be the case. I'm not sure how long the warranty is on this so please let me know what my options are. Thanks.

----
Zopim
https://www.zopim.com